Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class JVMAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.JVMAttributes

    public class JVMAttributes

extends java.lang.Object

Class containing information on JVM attributes.

Field Summary
`static java.lang.String` `FREE_MEMORY` FreeMemory
`static java.lang.String` `INIT_MEMORY` InitMemory
`static java.lang.String` `MAX_MEMORY` MaxMemory
`static java.lang.String` `TOTAL_MEMORY` TotalMemory

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FREE_MEMORY

    public static final java.lang.String FREE_MEMORY

  FreeMemory

  See Also:
    Constant Field Values

### INIT_MEMORY

    public static final java.lang.String INIT_MEMORY

  InitMemory

  See Also:
    Constant Field Values

### MAX_MEMORY

    public static final java.lang.String MAX_MEMORY

  MaxMemory

  See Also:
    Constant Field Values

### TOTAL_MEMORY

    public static final java.lang.String TOTAL_MEMORY

  TotalMemory

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.